HOW TO: Safer upgrades

Write tutorials and howtos in here
More tutorials here http://community.linuxmint.com/tutorial/welcome
Forum rules
Do not start a support topic here please, Before you post please read this

HOW TO: Safer upgrades

Postby kwevej on Tue Jan 25, 2011 5:08 am

Code: Select all
apt install apt-listbugs

apt-listbugs is a tool which retrieves bug reports from the Debian Bug Tracking System and lists them. Especially, it is intended to be invoked before each upgrade/installation by apt in order to check whether the upgrade/installation is safe.


Today, it saved my ***:
Code: Select all
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
serious bugs of libc6 (2.11.2-7 -> 2.11.2-9) <marked as done in some version>
 #610657 - libc6: Segfault in dynamic loader on new Intel CPUs (with AVX) (Fixed: eglibc/2.11.2-10)
Summary:
 libc6(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...]  n
****************************************************************************
****** Exit with an error by force in order to stop the installation. ******
***************************************************************************
User avatar
kwevej
Level 5
Level 5
 
Posts: 624
Joined: Mon Mar 22, 2010 3:35 pm
Location: Delft / Prague [@ LMDE]

Linux Mint is funded by ads and donations.
 

Return to Tutorials / Howtos

Who is online

Users browsing this forum: No registered users and 2 guests